Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.spi
Interface AutoFlushEventListener

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  DefaultAutoFlushEventListener, EJB3AutoFlushEventListener

    public interface AutoFlushEventListener

extends Serializable

Defines the contract for handling of session auto-flush events.

Method Summary
`void` | `onAutoFlush(AutoFlushEvent event)` Handle the given auto-flush event.

Method Detail

### onAutoFlush

    void onAutoFlush(AutoFlushEvent event)
                     throws HibernateException

  Handle the given auto-flush event.

  Parameters:
    `event` - The auto-flush event to be handled.
  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.